package gov.va.vinci.security.providers.ad;

import gov.va.vinci.security.GrantedAuthority;
import gov.va.vinci.security.userdetails.UserDetails;

public class ActiveDirectoryUserDetail extends UserDetails {
	
	 public ActiveDirectoryUserDetail(final String username, 
			 final String password,
	         final boolean enabled,
	         final boolean bOne, 
	         final boolean bTwo,
	         final boolean bThree,
	         final GrantedAuthority[] authorities) {
		 
		setUsername(username);
		setPassword(password);
	 }
}
